List signing keys
GET
/v1/endpoints/{id}/signing-keys
const url = 'https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/signing-keys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000/signing-keys \ --header 'Authorization: Bearer <token>'List active signing keys for an endpoint.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Endpoint identifier (ep_ prefix + 32 hex chars)
Example
ep_550e8400e29b41d4a716446655440000Responses
Section titled “Responses”Signing keys retrieved successfully
Media typeapplication/json
object
data
Array<object>
object
id
Signing key ID
string
key_hint
Last 4 chars of key for identification
string
created_at
string format: date-time
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": [ { "id": "sk_550e8400e29b41d4a716446655440001", "key_hint": "wxyz", "created_at": "2025-12-06T12:10:00Z" }, { "id": "sk_550e8400e29b41d4a716446655440000", "key_hint": "abcd", "created_at": "2025-12-01T10:00:00Z" } ], "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.